org.eclipse.jdt.launching.sourcelookup

## Class PackageFragmentRootSourceLocation

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - org.eclipse.jdt.launching.sourcelookup.PackageFragmentRootSourceLocation

All Implemented Interfaces:
  IAdaptable, IJavaSourceLocation

Deprecated.
In 3.0, the debug platform provides source lookup facilities that should be used in place of the Java source lookup support provided in 2.0. The new facilities provide a source lookup director that coordinates source lookup among a set of participants, searching a set of source containers. See the following packages: `org.eclipse.debug.core.sourcelookup` and `org.eclipse.debug.core.sourcelookup.containers`. This class has been replaced by `org.eclipse.jdt.launching.sourcelookup.containers.PackageFragmentRootSourceContainer`.

    @Deprecated
    public class PackageFragmentRootSourceLocation
    extends PlatformObject
    implements IJavaSourceLocation

Locates source elements in a package fragment root. Returns instances of `ICompilationUnit` and IClassFile.

This class may be instantiated.

Since:
  2.1
See Also:
  `IJavaSourceLocation`
Restriction:
  This class is not intended to be subclassed by clients.

### Constructor Summary

Constructors
Constructor and Description
`PackageFragmentRootSourceLocation()` Deprecated. Creates an empty source location.
`PackageFragmentRootSourceLocation(IPackageFragmentRoot root)` Deprecated. Creates a source location on the given package fragment root.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`boolean` `equals(Object object)` Deprecated.
`Object` `findSourceElement(String name)` Deprecated. Returns an object representing the source code for a type with the specified name, or `null` if none could be found.
`String` `getMemento()` Deprecated. Returns a memento for this source location from which this source location can be reconstructed.
`IPackageFragmentRoot` `getPackageFragmentRoot()` Deprecated. Returns the package fragment root associated with this source location, or `null` if none
`int` `hashCode()` Deprecated.
`void` `initializeFrom(String memento)` Deprecated. Initializes this source location from the given memento.

### Methods inherited from class org.eclipse.core.runtime.PlatformObject

`getAdapter`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Constructor Detail

#### PackageFragmentRootSourceLocation

    public PackageFragmentRootSourceLocation()

Deprecated.
Creates an empty source location.

#### PackageFragmentRootSourceLocation

    public PackageFragmentRootSourceLocation(IPackageFragmentRoot root)

Deprecated.
Creates a source location on the given package fragment root.

Parameters:
  `root` - package fragment root

### Method Detail

#### findSourceElement

    public Object findSourceElement(String name)
                             throws CoreException

Deprecated.
Description copied from interface: `IJavaSourceLocation`
Returns an object representing the source code for a type with the specified name, or `null` if none could be found. The name is a fully qualified type name, and may contain the '$' character when referring to inner types. For example, `java.lang.String`. The source element returned is implementation specific - for example, a resource, a local file, a zip file entry, etc.

Specified by:
  `findSourceElement` in interface `IJavaSourceLocation`
Parameters:
  `name` - fully qualified name of the type for which source is being searched for
Returns:
  source element
Throws:
  `CoreException` - if an exception occurs while searching for the specified source element

#### getMemento

    public String getMemento()
                      throws CoreException

Deprecated.
Description copied from interface: `IJavaSourceLocation`
Returns a memento for this source location from which this source location can be reconstructed.

Specified by:
  `getMemento` in interface `IJavaSourceLocation`
Returns:
  a memento for this source location
Throws:
  `CoreException` - if unable to create a memento

#### initializeFrom

    public void initializeFrom(String memento)
                        throws CoreException

Deprecated.
Description copied from interface: `IJavaSourceLocation`
Initializes this source location from the given memento.

Specified by:
  `initializeFrom` in interface `IJavaSourceLocation`
Parameters:
  `memento` - a memento generated by this source location
Throws:
  `CoreException` - if unable to initialize this source location

#### getPackageFragmentRoot

    public IPackageFragmentRoot getPackageFragmentRoot()

Deprecated.
Returns the package fragment root associated with this source location, or `null` if none

Returns:
  the package fragment root associated with this source location, or `null` if none

#### equals

    public boolean equals(Object object)

Deprecated.

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Deprecated.

Overrides:
  `hashCode` in class `Object`